Observation Instance
Get a list of Observation objects.
### Available end points:
- `/observations/` - Will list all Results in the database
- `/observations.json` - Will return all Results in json format. This can
also be achieved by using the accept header. `application/json`
- `/observations/<object_id>/` - Returns Results object with that id
### Available Methods:
- `GET`
- `HEAD`
### Available filters:
- `title`
- `uuid`
- `keywords`
- `status`
- `result_field`
- `discoveryKeywords`
- `updateFrequency`
- `nonGeographicFlag`
- `publicationState`
- `permissions`
### How to use filters:
These filters can be used like django query filters using __ for related model relationships.
- `/observations/?uuid=d594d53df2612bbd89c2e0e770b5c1a0`
- `/observations/?status=completed`
- `/observations/?results_field__dataPath__startswith=/neodc/esacci`
- `/observations/?discoveryKeywords__name=ESACCI`
- `/observations/?nonGeographicFlag=True`
Filters can be stacked to build an 'AND' relationship. E.g.
- `/observations/?publicationState__in=published,citable&nonGeographicFlag=True`
- `/observations/?publicationState__in=published,citable&discoveryKeyword__name=NDGO0003`
GET /api/v2/observations/31984/?format=api
{ "ob_id": 31984, "uuid": "89cb57d9191b4b81965acb7f154c66df", "title": "UM-UKCA interactive stratospheric aerosol model time-integrated data for perturbed parameter ensemble of volcanic eruptions", "abstract": "This dataset contains summary 3-year time-integrated data of the global mean volcanic stratospheric aerosol optical depth, effective radiative forcing and anomalous deposited sulfate on Antarctica and Greenland. The data are from 82 model simulations of volcanic eruptions that have different sulfur dioxide emissions, eruption latitudes and emission altitudes. Two ensembles were conducted for eruptions starting in January and July. Each simulation was run for ~3 years in a year 2000 timeslice condition. The simulations are from the Unified Model coupled with the United Kingdom Chemistry and Aerosol Scheme (UM-UKCA) and were conducted at a global resolution of 1.875 ° x 1.25°.\r\n\r\nThis data were collected as part of the NERC Reconciling Volcanic Forcing and Climate Records throughout the Last Millennium (Vol-Clim) project.\r\n\r\nV3 is the latest data file to use.", "keywords": "NE/L002574/1, UM-UKCA, stratospheric, aerosol, volcanic", "publicationState": "published", "dataPublishedTime": "2020-11-11T09:44:38", "doiPublishedTime": null, "updateFrequency": "", "status": "completed", "result_field": { "ob_id": "https://api.catalogue.ceda.ac.uk/api/v2/observations/31983/?format=api", "dataPath": "/badc/deposited2020/UM-UKCA_volcanic-ensemble-deposition/data", "oldDataPath": [], "storageLocation": "internal", "storageStatus": "online", "volume": 11515, "numberOfFiles": 4, "fileFormat": "Data are BADC-CSV formatted." }, "timePeriod": "https://api.catalogue.ceda.ac.uk/api/v2/times/8777/?format=api", "geographicExtent": null, "nonGeographicFlag": true, "phenomena": [ "https://api.catalogue.ceda.ac.uk/api/v2/phenomona/88518/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/phenomona/88519/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/phenomona/88520/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/phenomona/88521/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/phenomona/88522/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/phenomona/88523/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/phenomona/88524/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/phenomona/88525/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/phenomona/88526/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/phenomona/88527/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/phenomona/88528/?format=api" ], "dataLineage": "Data were produced by the project team and supplied for archiving at the Centre for Environmental Data Analysis (CEDA).", "removedDataTime": null, "removedDataReason": "", "language": "English", "identifier_set": [], "projects": [], "observationcollection_set": [], "responsiblepartyinfo_set": [ "https://api.catalogue.ceda.ac.uk/api/v2/rpis/141603/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/141604/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/141605/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/141607/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/141608/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/141609/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/141610/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/141606/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/168952/?format=api" ], "procedureAcquisition": null, "procedureCompositeProcess": null, "procedureComputation": "https://api.catalogue.ceda.ac.uk/api/v2/computations/31985/?format=api", "permissions": [ { "ob_id": "https://api.catalogue.ceda.ac.uk/api/v2/observations/2526/?format=api", "useLimitation": null, "accessConstraints": null, "accessCategory": "public", "accessRoles": null, "label": "public: None group", "licenceURL": "http://www.nationalarchives.gov.uk/doc/open-government-licence/version/3/", "licenceClassifications": "any" } ], "discoveryKeywords": [ { "ob_id": 1138, "name": "NDGO0003" } ] }